Bug 694954 - gnome-keyring-daemon couldn't parse certificate data
Summary: gnome-keyring-daemon couldn't parse certificate data
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-keyring
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-09 05:10 UTC by Christopher Aillon
Modified: 2015-02-17 13:43 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 13:43:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 747854 None None None Never

Internal Links: 747854

Description Christopher Aillon 2011-04-09 05:10:50 UTC
gnome-keyring-3.0.0-1.fc15.x86_64

I am noticing the following in syslog every time NM connects to my home (WPA2) network:

Apr  8 21:17:54 pengwin gnome-keyring-daemon[1394]: couldn't parse certificate data
Apr  8 21:17:54 pengwin gnome-keyring-daemon[1394]: couldn't parse certificate(s): /etc/ssl/certs/Makefile
Apr  8 21:17:54 pengwin gnome-keyring-daemon[1394]: couldn't parse certificate data
Apr  8 21:17:54 pengwin gnome-keyring-daemon[1394]: couldn't parse certificate(s): /etc/ssl/certs/make-dummy-cert
Apr  8 21:17:54 pengwin gnome-keyring-daemon[1394]: couldn't parse certificate data
Apr  8 21:17:54 pengwin gnome-keyring-daemon[1394]: couldn't parse certificate(s): /etc/ssl/certs/ca-bundle.trust.crt
Apr  8 21:17:54 pengwin gnome-keyring-daemon[1394]: unsupported key algorithm in certificate: 1.2.840.10045.2.1
Apr  8 21:17:54 pengwin gnome-keyring-daemon[1394]: unsupported key algorithm in certificate: 1.2.840.10045.2.1
Apr  8 21:17:54 pengwin gnome-keyring-daemon[1394]: unsupported key algorithm in certificate: 1.2.840.10045.2.1
Apr  8 21:17:54 pengwin gnome-keyring-daemon[1394]: unsupported key algorithm in certificate: 1.2.840.10045.2.1
Apr  8 21:17:55 pengwin gnome-keyring-prompt: could not grab keyboard: 1
Apr  8 21:17:55 pengwin gnome-keyring-daemon[1394]: ** Message: could not grab keyboard: 1
Apr  8 21:17:55 pengwin gnome-keyring-prompt: could not grab keyboard: 1
Apr  8 21:17:55 pengwin gnome-keyring-daemon[1394]: ** Message: could not grab keyboard: 1
Apr  8 21:17:55 pengwin gnome-keyring-prompt: could not grab keyboard: 1
Apr  8 21:17:55 pengwin gnome-keyring-daemon[1394]: ** Message: could not grab keyboard: 1

Comment 1 Tomáš Bžatek 2011-04-11 15:24:38 UTC
What is your libgnome-keyring version? Is it a clean installation?

Comment 2 Christopher Aillon 2011-04-14 23:50:10 UTC
3.0.0-1.fc15, and no, I've been running F15 for a while now.

Comment 3 Noman Khanzada 2011-09-14 09:21:42 UTC
i am also having same problem on fedora 15, i did not get any proper solution of it.

Comment 4 Chris 2011-10-11 07:32:01 UTC
I've also these message in fedora 16

Oct 11 09:26:05 americium gnome-keyring-daemon[1643]: couldn't parse certificate data
Oct 11 09:26:05 americium gnome-keyring-daemon[1643]: couldn't parse certificate(s): /etc/ssl/certs/make-dummy-cert
Oct 11 09:26:05 americium gnome-keyring-daemon[1643]: couldn't parse certificate data
Oct 11 09:26:05 americium gnome-keyring-daemon[1643]: couldn't parse certificate(s): /etc/ssl/certs/Makefile
Oct 11 09:26:05 americium gnome-keyring-daemon[1643]: couldn't parse certificate data
Oct 11 09:26:05 americium gnome-keyring-daemon[1643]: couldn't parse certificate(s): /etc/ssl/certs/ca-bundle.trust.crt
Oct 11 09:26:05 americium gnome-keyring-daemon[1643]: unsupported key algorithm in certificate: 1.2.840.10045.2.1
Oct 11 09:26:05 americium gnome-keyring-daemon[1643]: unsupported key algorithm in certificate: 1.2.840.10045.2.1
Oct 11 09:26:05 americium gnome-keyring-daemon[1643]: unsupported key algorithm in certificate: 1.2.840.10045.2.1
Oct 11 09:26:05 americium gnome-keyring-daemon[1643]: unsupported key algorithm in certificate: 1.2.840.10045.2.1
Oct 11 09:26:05 americium gnome-keyring-daemon[1643]: unsupported key algorithm in certificate: 1.2.840.10045.2.1
Oct 11 09:26:07 americium gnome-keyring-prompt: could not grab keyboard: not viewable
Oct 11 09:26:07 americium gnome-keyring-prompt: could not grab keyboard: not viewable


current version(s) of gnome-keyring here:
yum list |grep gnome-keyring
gnome-keyring.i686                     3.2.0-1.fc16             @updates-testing
gnome-keyring-pam.i686                 3.2.0-1.fc16             @updates-testing
gnome-keyring-sharp.i686               1.0.1-0.8.133722svn.fc15 @fedora         
libgnome-keyring.i686                  3.2.0-1.fc16             @updates-testing
libgnome-keyring-devel.i686            3.2.0-1.fc16             @updates-testing
gnome-keyring-debuginfo.i686           3.2.0-1.fc16             fedora-debuginfo
gnome-keyring-devel.i686               3.2.0-1.fc16             fedora          
gnome-keyring-sharp-devel.i686         1.0.1-0.8.133722svn.fc15 fedora          
gnome-keyring-sharp-doc.i686           1.0.1-0.8.133722svn.fc15 fedora          
libgnome-keyring-debuginfo.i686        3.2.0-1.fc16             fedora-debuginfo

Comment 5 David Kovalsky 2011-12-12 23:49:01 UTC
This is also reported for F16 - see bug 747854

Comment 7 Jerry James 2012-06-09 22:46:55 UTC
I never saw this with F15 or F16.  I just did a clean installation of F17, and now I'm seeing this, too.

gnome-keyring-3.4.1-2.fc17.x86_64

Comment 8 Matt Hirsch 2012-10-15 18:21:39 UTC
I am also seeing this in F17, but I'm not using a wireless network. Could it be related to SSH?

Comment 9 Fedora End Of Life 2013-04-03 17:46:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 10 Fedora Admin XMLRPC Client 2013-05-08 22:41:58 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 11 pgaltieri 2013-08-23 22:06:03 UTC
I'm seeing these errors on both Fedora 18 and Fedora 19 with mate-keyring-daemon.

Comment 12 Fedora End Of Life 2015-01-09 16:38:16 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-02-17 13:43:04 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.